Subject: RE: How do I get a directory listing using a HTTP Get

From: "Schilling, Richard" <[email-masked]>
Date: Tue, 26 Jun 2001 10:32:29 -0700

You might try setting up a CGI script that gets the directory information
and sends it back as plain text.  Your program can then open a socket to the
web server, and read the list of returned files like a text file.  Really
easy to do in Java.

Richard Schilling
Webmaster / Web Integration Programmer
Affiliated Health Services
Mount Vernon, WA USA
http://www.affiliatedhealth.org
phone: 360.856.7129

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]
> Sent: Tuesday, June 26, 2001 6:16 AM
> To: [email-masked]
> Subject: How do I get a directory listing using a HTTP Get
> 
> 
> 
> I would like to write a program that goes to a web site and 
> does an HTTP GET
> and instead of coming back with an HTML page, I would like to 
> come back with
> a directory listing of files.  The HTML page will contain 
> links to the files
> in the same directory but instead of having to parse the HTML 
> page for the
> file names I would like to just get a directory listing as 
> this would make
> the downloading of these files easier.  Does anyone know of a 
> way to do
> this?
> 
> Dan Veilleux
> Electronic Commerce
> Liberty Mutual
>